org.jboss.netty.handler.ipfilter

## Class IpFilterRuleList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<IpFilterRule>
      - - org.jboss.netty.handler.ipfilter.IpFilterRuleList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<IpFilterRule>, Collection<IpFilterRule>, List<IpFilterRule>, RandomAccess

      public class IpFilterRuleList
      extends ArrayList<IpFilterRule>

  The Class IpFilterRuleList is a helper class to generate a List of Rules from a string. In case of parse errors no exceptions are thrown. The error is logged.
  Rule List Syntax:

       RuleList ::= Rule[,Rule]*
       Rule ::= AllowRule | BlockRule
       AllowRule ::= +Filter
       BlockRule ::= -Filter
       Filter ::= PatternFilter | CIDRFilter
       PatternFilter ::= @see PatternRule
       CIDRFilter ::= c:CIDRFilter
       CIDRFilter ::= @see CIDR.newCIDR(String)

  Example: allow only localhost:
  new IPFilterRuleHandler().addAll(new IpFilterRuleList("+n:localhost, -n:*"));
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpFilterRuleList(String rules)` Instantiates a new ip filter rule list.

  - ### Method Summary

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### IpFilterRuleList

          public IpFilterRuleList(String rules)

      Instantiates a new ip filter rule list.
      Parameters:
        `rules` - the rules

Copyright © 2008-2012 The Netty Project. All Rights Reserved.